Subject: Re: [MMUSIC] Questions/Comments on draft-ietf-mmusic-sdp-bwparam-03.txt

From: Geetha Srikantan <[email-masked]>
Date: Thu, 12 Jun 2003 10:39:39 -0700 (PDT)

hi Magnus,

Thanks for the response and clarifications.
My response is inline.

> > 
> > 2. Section 6.2.3, 2nd paragraph - it would be good to clarify that this 
entire 
> >    paragraph refers to the media level values.
> >    This paragraph is a little confusing to read..it might help to mention
> >    explicitly that it is RECOMMENDED to use both the AS and TIAS fields;
> >    AS for backwards compatibility, older implementations would ignore the 
TIAS 
> >    field; TIAS would be recognized by newer and compliant implementations,
> >    which must ignore the AS value.
> 
> No, It does not only apply for the media level, but both levels. AS can 
> be present at both levels, if one includes it at either level one is 
> recommended to include TIAS also.

I see..I didn't realize that AS can be present at the session level, too.

> I don't quite understand what you mean with confusing to read. The 
> information you ask for is there: "..., it is RECOMMENDED to also 
> include the "AS" modifier when using "TIAS"". Do you have a more 
> concrete proposal on how reformulate the paragraph?

I meant 'confusing' in the sense that the motivation for this is
not completely clear to me.
I interpreted this part of the text to mean that - if both AS and TIAS values
are present in the SDP, then a newer (i.e. bwparam-compliant) implementation 
should ignore the AS values. An older (i.e. bwparam-non-compliant) 
implementation would try to use the AS values and ignore the TIAS values. Is 
that right? By providing both AS and TIAS values, it would permit 
interoperability with older and newer implementations - if that is the only 
reason, we might want to say so explicitly in the text. If there are other 
reasons to provide both values, would you please
explain?

> >    
> > 3. 6.3, 2nd paragraph - here too it might help clarity to assert the 'MUST 
NOT' 
> >    case , before the 'MAY' case.
> 
> So you would like to be reformulated into something like this:
> 
> "At the SDP session level, the maxprate value MUST be the sum of all 
> media-level packet rates. The "maxprate" attribute MUST NOT be present 
> at session level if the media streams use different transport. The 
> attribute MAY be present if the media streams use the same transport. If 
>   the attribute is present at the session level it SHOULD also be 
> present at the media level for all media streams."
> 
> Is that better? If not please provide concrete proposals of the paragraph.

Yes, this is much better...thanks!

> > 4. 6.3, is there any ambiguity in the last paragraph? For instance, is it ok 
to
> >    *not* have maxprate if one or the other of TIAS or the max packet rate 
> >    for the transport is not available?
> 
> Yes, if one can't derive a packet rate due to for example non packet 
> based transport then its ok. However if you use TIAS and have a 
> transport like IP/UDP/RTP you shall have it. Perhaps I should 
> reformulate the sentence to be more strict and explanatory.

Thanks..that clarifies it. Perhaps something like this:

"maxprate" SHALL be included for all transports where a packet rate can be 
derived and TIAS is included. For example, if you use TIAS and a transport like 
IP/UDP/RTP, for which the max packet rate can be derived, then "maxprate" shall 
be included. If either (a) the packet rate for the transport cannot be derived, 
or (b) TIAS is not included, then, "maxprate" is not required to be included.

> >    
> > 5. It would be great to have a complete example of SDP using TIAS and 
maxprate
> >    attributes.   
> >    
> 
> Yes, you are correct. I will look into it.

Thanks, this wil be helpful.

geetha

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic

---

From: Magnus Westerlund <[email-masked]>
Date: Fri, 13 Jun 2003 10:15:17 +0200

Hi Geetha,

See comments below.

> reasons to provide both values, would you please

No, there exist no further reasons than backwards compatibility to 
include both values. Your correct in your deduction that a new 
implementation SHOULD only use the TIAS value, while an old not 
understanding TIAS will use AS. I think I provide enough explanation for 
these rule in the first part of the first sentence of paragraph 2 in 6.2.3.

Is the current text difficult to understand?

> or (b) TIAS is not included, then, "maxprate" is not required to be included.

Thanks, I will use this with some modifications.

Best Regards

Magnus Westerlund

Multimedia Technologies, Ericsson Research ERA/TVA/A
----------------------------------------------------------------------
Ericsson AB                | Phone +46 8 4048287
Torshamsgatan 23           | Fax   +46 8 7575550
S-164 80 Stockholm, Sweden | mailto: [email-masked]